body {
  font-family: Inter, -apple-system, BlinkMacSystemFont, Segoe UI, sans-serif;
  background: #eef7f3;
  display: flex;
  justify-content: center;
  align-items: stretch;
  height: 100vh;
  margin: 0;
  color: #fff;
}

.weather-widget {
  background-image: linear-gradient(-40deg, #8ed3a0 0%, #42a0bd 100%);
  border-radius: 15px;
  box-shadow: 0 10px 25px rgb(26 109 97 / 40%);
  padding: 2rem;
  width: 350px;
  text-align: center;
}

.weather-header h1 {
  margin: 0;
  font-size: 2rem;
}

.weather-header .date {
  margin: 0.5rem 0 0 0;
  color: #d0fdf7;
}

.city-search {
  display: flex;
  gap: 0.5rem;
  margin-top: 0.5rem;
  margin-bottom: 2rem;
}

.city-search input {
  flex-grow: 1;
  border: none;
  border-radius: 8px;
  padding: 0.75rem;
  font-size: 1rem;
}

.city-search input:focus {
  outline: none;
  box-shadow: 0 0 0 2px #1e9884;
}

.city-search button {
  background-color: #1e9884;
  color: white;
  border: none;
  border-radius: 8px;
  padding: 0.75rem 1rem;
  font-size: 1rem;
  cursor: pointer;
  transition: background-color 0.2s;
}

.city-search button:hover {
  background-color: #117c6b;
}

.weather-body {
  display: grid;
  align-items: center;
  justify-content: center;
  margin-top: 1.5rem;
  gap: 1rem;
  grid-template-columns: repeat(2, minmax(0, 1fr));
}

.weather-icon img {
  width: 128px;
  height: 128px;
}

.weather-body .temperature {
  font-size: 4rem;
  font-weight: bold;
  margin: 0;
}

.weather-body .description {
  font-size: 1.2rem;
  text-transform: capitalize;
  margin: 0 0 0.5rem;
  color: #e0ffed;
}

.weather-details-title {
  display: flex;
  align-items: center;
  gap: 0.5rem;
  font-size: 0.9rem;
  color: #e0ffed;
}

.weather-icon.hidden,
.weather-details.hidden {
  display: none;
}

.glass-card {
  background: hsl(0 0% 100% / 0.15);
  -webkit-backdrop-filter: blur(20px);
  backdrop-filter: blur(20px);
  border: 1px solid hsl(0 0% 100% / 0.25);
  border-radius: 15px;
  padding: 1rem;
}

.text-2xl {
  font-size: 1.5rem;
  font-weight: 600;
  text-align: left;
  margin: 5px 0 0;
}

@media (min-width: 600px) {
  body {
    align-items: center;
  }
}
